Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOStreamWrapper Class Reference

`#include <vtkOStreamWrapper.h>`

Inheritance diagram for vtkOStreamWrapper:

[legend]
List of all members.

## Detailed Description

Wrapper for C++ ostream. Internal VTK use only.

Date:
  2003/02/07 19:30:05

Revision:
  1.7

Provides a wrapper around the C++ ostream so that VTK source files need not include the full C++ streams library. This is intended to prevent cluttering of the translation unit and speed up compilation. Experimentation has revealed between 10% and 60% less time for compilation depending on the platform. This wrapper is used by the macros in vtkSetGet.h.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkOStreamWrapper.cxx)`
  - .`h` (`/Common/vtkOStreamWrapper.h)`

Definition at line 52 of file vtkOStreamWrapper.h.

## Public Methods
vtkOStreamWrapper & | operator<< (void(*)(void *))
vtkOStreamWrapper & | operator<< (void *(*)(void *))
vtkOStreamWrapper & | operator<< (int(*)(void *))
vtkOStreamWrapper & | operator<< (int *(*)(void *))
vtkOStreamWrapper & | operator<< (float *(*)(void *))
vtkOStreamWrapper & | operator<< (const char *(*)(void *))
vtkOStreamWrapper & | operator<< (void(*)(void *, int *))
vtkOStreamWrapper & | write (const char *, unsigned long)
ostream & | GetOStream ()
| operator ostream & ()
| operator int ()
void | flush ()
| vtkOStreamWrapper (ostream &os)
| vtkOStreamWrapper (vtkOStreamWrapper &r)
vtkOStreamWrapper & | operator<< (const EndlType &)
vtkOStreamWrapper & | operator<< (const vtkIndent &)
vtkOStreamWrapper & | operator<< (vtkObjectBase &)
vtkOStreamWrapper & | operator<< (const vtkLargeInteger &)
vtkOStreamWrapper & | operator<< (const vtkSmartPointerBase &)
vtkOStreamWrapper & | operator<< (ostream &)
vtkOStreamWrapper & | operator<< (const char *)
vtkOStreamWrapper & | operator<< (void *)
vtkOStreamWrapper & | operator<< (char)
vtkOStreamWrapper & | operator<< (short)
vtkOStreamWrapper & | operator<< (int)
vtkOStreamWrapper & | operator<< (long)
vtkOStreamWrapper & | operator<< (unsigned char)
vtkOStreamWrapper & | operator<< (unsigned short)
vtkOStreamWrapper & | operator<< (unsigned int)
vtkOStreamWrapper & | operator<< (unsigned long)
vtkOStreamWrapper & | operator<< (float)
vtkOStreamWrapper & | operator<< (double)
## Static Public Methods
void | UseEndl (const EndlType &)
## Protected Attributes
ostream & | ostr

## Constructor & Destructor Documentation

vtkOStreamWrapper::vtkOStreamWrapper | ( | ostream & | os | ) |

| Construct class to reference a real ostream. All methods and operators will be forwarded.

vtkOStreamWrapper::vtkOStreamWrapper | ( | vtkOStreamWrapper & | r | ) |

| Construct class to reference a real ostream. All methods and operators will be forwarded.

## Member Function Documentation

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | const EndlType & |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | const vtkIndent & |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | vtkObjectBase & |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | const vtkLargeInteger & |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | const vtkSmartPointerBase & |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | ostream & |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | const char * |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | void * |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | char |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | short |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | int |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | long |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | unsigned | char | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | unsigned | short | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | unsigned | int | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | unsigned | long | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | float |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | double |  | ) |

| Forward this output operator to the real ostream.

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | void(* | )(void *) | ) |

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | void * | (*)(void *) | ) |

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | int(* | )(void *) | ) |

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | int * | (*)(void *) | ) |

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | float * | (*)(void *) | ) |

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | const char * | (*)(void *) | ) |

vtkOStreamWrapper& vtkOStreamWrapper::operator<< | ( | void(* | )(void *, int *) | ) |

vtkOStreamWrapper& vtkOStreamWrapper::write | ( | const char * | ,
|  | unsigned | long
| ) |

| Forward the write method to the real stream.

ostream& vtkOStreamWrapper::GetOStream | ( |  | ) |

| Get a reference to the real ostream.

vtkOStreamWrapper::operator ostream & | ( |  | ) |

| Allow conversion to the real ostream type. This allows an instance of vtkOStreamWrapper to look like ostream when passing to a function argument.

vtkOStreamWrapper::operator int | ( |  | ) |

| Forward conversion to bool to the real ostream.

void vtkOStreamWrapper::flush | ( |  | ) |

| Forward the flush method to the real ostream.

void vtkOStreamWrapper::UseEndl | ( | const EndlType & |  | ) | `[inline, static]`

| Implementation detail to allow macros to provide an endl that may or may not be used. Definition at line 124 of file vtkOStreamWrapper.h.

## Member Data Documentation

ostream& vtkOStreamWrapper::ostr`[protected]`

| Definition at line 127 of file vtkOStreamWrapper.h.

The documentation for this class was generated from the following file:

- Common/vtkOStreamWrapper.h